Package com.databricks.jdbc.model.client.thrift.generated

## Class TTypeDesc

- java.lang.Object
- - com.databricks.jdbc.model.client.thrift.generated.TTypeDesc

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TTypeDesc>`, `org.apache.thrift.TBase<TTypeDesc,​TTypeDesc._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-10-09")
    public class TTypeDesc
    extends Object
    implements org.apache.thrift.TBase<TTypeDesc,​TTypeDesc._Fields>, Serializable, Cloneable, Comparable<TTypeDesc>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TTypeDesc._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static Map<TTypeDesc._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`List<TTypeEntry>` `types`

### Constructor Summary

Constructors
`TTypeDesc()`
`TTypeDesc​(TTypeDesc other)` Performs a deep copy on other.
`TTypeDesc​(List<TTypeEntry> types)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToTypes​(TTypeEntry elem)`
`void` `clear()`
`int` `compareTo​(TTypeDesc other)`
`TTypeDesc` `deepCopy()`
`boolean` `equals​(TTypeDesc that)`
`boolean` `equals​(Object that)`
`TTypeDesc._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TTypeDesc._Fields field)`
`List<TTypeEntry>` `getTypes()`
`Iterator<TTypeEntry>` `getTypesIterator()`
`int` `getTypesSize()`
`int` `hashCode()`
`boolean` `isSet​(TTypeDesc._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetTypes()` Returns true if field types is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TTypeDesc._Fields field, Object value)`
`TTypeDesc` `setTypes​(List<TTypeEntry> types)`
`void` `setTypesIsSet​(boolean value)`
`String` `toString()`
`void` `unsetTypes()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### types

    public List<TTypeEntry> types

#### metaDataMap

    public static final Map<TTypeDesc._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TTypeDesc

    public TTypeDesc()

#### TTypeDesc

    public TTypeDesc​(List<TTypeEntry> types)

#### TTypeDesc

    public TTypeDesc​(TTypeDesc other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TTypeDesc deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TTypeDesc,​TTypeDesc._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TTypeDesc,​TTypeDesc._Fields>`

#### getTypesSize

    public int getTypesSize()

#### getTypesIterator

    public Iterator<TTypeEntry> getTypesIterator()

#### addToTypes

    public void addToTypes​(TTypeEntry elem)

#### getTypes

    public List<TTypeEntry> getTypes()

#### setTypes

    public TTypeDesc setTypes​(List<TTypeEntry> types)

#### unsetTypes

    public void unsetTypes()

#### isSetTypes

    public boolean isSetTypes()

Returns true if field types is set (has been assigned a value) and false otherwise

#### setTypesIsSet

    public void setTypesIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TTypeDesc._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TTypeDesc,​TTypeDesc._Fields>`

#### getFieldValue

    public Object getFieldValue​(TTypeDesc._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TTypeDesc,​TTypeDesc._Fields>`

#### isSet

    public boolean isSet​(TTypeDesc._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TTypeDesc,​TTypeDesc._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TTypeDesc that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TTypeDesc other)

Specified by:
  `compareTo` in interface `Comparable<TTypeDesc>`

#### fieldForId

    public TTypeDesc._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TTypeDesc,​TTypeDesc._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`